<?php
# Initialize variables
#
# Copyright (C) 2003 Unix Solutions Ltd.
# Written by Georgi Chorbadzhiyski
#
# $Id: init.php,v 1.5 2005/11/29 10:46:09 gf Exp $
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
	define("PROGRAM","PC Configurator");
	define("VERSION","1.00");

	$DEBUG = 1;

	error_reporting(E_ALL); // report all errors
	if (!$DEBUG)
		ini_set("display_errors",0);

	magic_quotes_runtime(0); // disable magic_quotes

	// fix fscking magic_quotes_gpc
	function unfck($x) {
		return is_array($x) ? array_map('unfck', $x) : stripslashes($x);
	}

	function unfck_gpc() {
		foreach (array('POST', 'GET', 'REQUEST', 'COOKIE') as $gpc) {
			$GLOBALS["_$gpc"] = array_map('unfck', $GLOBALS["_$gpc"]);
		}
	}

	if (get_magic_quotes_gpc())
		unfck_gpc();

	define("MONEY",".");
	define("SUBJECT","PC Offer");
	define("MAILFROM","georgi@unixsol.org");

	define("PHASE_BEGIN",0);	// Show form
	define("PHASE_CONFIRM",1);	// Configration is chosen, show confirmation
	define("PHASE_EMAIL",2);	// Confirmation is received, send email
	define("PHASE_END",3);		// Email is send show OK page

	$stocks = load_data_file();
	$submitted = init_submitted_stocks($_POST);

	$save = @(int)ereg_replace('[^0-9]','',$_POST['save']);
	$current_phase = PHASE_BEGIN;

	// First form is submitted
	if ($save == 1 && is_array($stocks) && count($submitted))
		$current_phase = PHASE_CONFIRM;

	// Confirmation form is submitted (return to editor is requested)
	if ($save == 2 && isset($_POST['prev']) && is_array($stocks) && is_array($submitted))
		$current_phase = PHASE_BEGIN;

	// Confirmation form is submitted (next is requested)
	if ($save == 2 && isset($_POST['next']) && is_array($stocks) && is_array($submitted))
		$current_phase = PHASE_EMAIL;
?>